Loading...
Searching...
No Matches
gtsam::ISAM< BAYESTREE > Class Template Reference

## Detailed Description

template<class BAYESTREE>
class gtsam::ISAM< BAYESTREE >

A Bayes tree with an update methods that implements the iSAM algorithm.

Given a set of new factors, it re-eliminates the invalidated part of the tree.

Inheritance diagram for gtsam::ISAM< BAYESTREE >:

## Standard Constructors

| ISAM ()
| Create an empty Bayes Tree.
| ISAM (const Base &bayesTree)
| Copy constructor.

## Advanced Interface Interface

void | update (const FactorGraphType &newFactors, const Eliminate &function=EliminationTraitsType::DefaultEliminate)
| update the Bayes tree with a set of new factors, typically derived from measurements
void | updateInternal (const FactorGraphType &newFactors, Cliques *orphans, const Eliminate &function=EliminationTraitsType::DefaultEliminate)
| updateInternal provides access to list of orphans for drawing purposes

## Public Types

typedef BAYESTREE | Base
typedef Base::BayesNetType | BayesNetType
typedef Base::FactorGraphType | FactorGraphType
typedef Base::Clique | Clique
typedef Base::sharedClique | sharedClique
typedef Base::Cliques | Cliques

## Member Function Documentation

## update()

template<class BAYESTREE>

void gtsam::ISAM< BAYESTREE >::update | ( | const FactorGraphType & | newFactors,
|  | const Eliminate & | function = EliminationTraitsType::DefaultEliminate )

update the Bayes tree with a set of new factors, typically derived from measurements

Parameters

  newFactors | is a factor graph that contains the new factors
  function | an elimination routine

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/inference/ISAM.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/inference/ISAM-inst.h